package cn.com.qmth.examcloud.core.oe.student.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.CalcExamScoreReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.CalcFaceBiopsyResultReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamFaceLivenessVerifiesReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordDataIdsReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordPaperStructReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordQuestionsReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetFaceBiopsyReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.HandInExamReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.UpdateExamRecordDataBatchNumReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.UpdateExamRecordStatusReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.CalcExamScoreResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.CalcFaceBiopsyResultResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamFaceLivenessVerifiesResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordDataIdsResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordPaperStructResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordQuestionsResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetFaceBiopsyResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.HandInExamResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.UpdateExamRecordDataBatchNumResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.UpdateExamRecordStatusResp;

public interface ExamRecordDataCloudService extends CloudService {

    GetExamRecordDataIdsResp getExamRecordDataIds(GetExamRecordDataIdsReq req);

    UpdateExamRecordDataBatchNumResp updateExamRecordDataBatchNum(UpdateExamRecordDataBatchNumReq req);

    /**
     * 计算活体检测结果
     *
     * @param req
     * @return
     */
    CalcFaceBiopsyResultResp calcFaceBiopsyResult(CalcFaceBiopsyResultReq req);

    /**
     * 计算考试分数
     *
     * @param req
     * @return
     */
    CalcExamScoreResp calcExamScore(CalcExamScoreReq req);

    /**
     * 获取旧活体检测结果
     *
     * @param req
     * @return
     */
    GetExamFaceLivenessVerifiesResp getExamFaceLivenessVerifies(GetExamFaceLivenessVerifiesReq req);

    /**
     * 获取新活检
     *
     * @param req
     * @return
     */
    GetFaceBiopsyResp getFaceBiopsy(GetFaceBiopsyReq req);

    GetExamRecordQuestionsResp getExamRecordQuestions(GetExamRecordQuestionsReq req);

    GetExamRecordPaperStructResp getExamRecordPaperStruct(GetExamRecordPaperStructReq req);

    /**
     * 交卷
     *
     * @param req
     * @return
     */
    HandInExamResp handInExam(HandInExamReq req);
    
    UpdateExamRecordStatusResp updateExamRecordStatus(UpdateExamRecordStatusReq req);
}
